MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029674Open CASCADE[OCCT] OCCT:Samplespublic2018-04-04 15:052018-04-21 09:21
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version 
Summary0029674: Samples - Improvements in Inspector tool
DescriptionImprovements common for all plugins:
- Preferences stores some user defined states of each plugin. Now, the following information is stored:
  1. Dock widgets positions and visibility
  2. Tree view columns visibility and width.
  3. 3D view projection
(preferences.png - store/remove preferences, .tinspector.xml - preferences file)
- Change visibility of dockable windows for each plugin (preferences.png - checked state)
- New package ViewControl to unite common functionality shared between different plugins. Now, this package is a part of TKTreeModel library.
- "Export to ShapeView" functionality (to send TopoDS_Shape information into ShapeView plugin) now processing TopLoc_Location and TopAbs_Orientation of the TopoDS_Shape.
 (In the previous implementation, only TopoDS_TShape pointer was exported)

Improvements in TreeView (used in all plugins):
- Context menu for tree view header to change visibility of columns
- Visibility state column in tree view. Here an abstract interface provided to control visibility change of elements. It should be redefined in each plugin to take presentation by tree view item.
- Visibility column. It may be used or not in a separate plugin (now used in ShapeView only) (tree_view_visible_columns.png)

Inprovements in 3DView (used in all plugins):
- Context popup menu to set view projection (view_projection.png)
- FitAll button has checkable state. It might be toggled by double click, untoggled by single click. If the button is toggled, fit all happens by display, erase, redisplay presentation in the context.
- AIS_Trihedron presentation is always displayed in View.

Improvements in TInspector (container and switcher of plugins):
- Control to store preferences, hide dock widgets (preferences.png)
- 'F5' shortcut to update content of each plugin. (In the previous implementation works only in DFBrowser)
- Minor correction to activate plugins even if the library name does not contain "TK" prefix

Improvements in plugins:
DFBrowser:
- automatical sorting of elements of TNaming_UsedShapes for presentation table is removed.
Reason: it causes sometimes crash due to working in additional thread. After discussion with OCAF team it was confirmed that this functionality is not necessary.

ShapeView:
- Rearrange tree view columns, set visible by default only several of them
- Take TopoDS_Shape with TopLoc_Location and TopAbs_Orientation (In the previous implementation, only TopoDS_TShape was processed)
- "Keep view On/Off" tool buttons are not shown because visibility of elements is controlled by tree view visibility column.
- Do not generate own temporary directory, use default inspector temporary directory

VInspector:
- Properties tree view item is implemented. It has Filters sub-item set in the context. (To be extended by other Context properties) (vinspector_property_item.png)
- Rearrange tree view columns, set visible by default only several of them
- Support OCCT version earlier 0x070201 (iteration by SelectMgr_Selection)
TagsNo tags attached.
Test case numberNot needed
Attached Filesxml file icon .tinspector.xml (3,239 bytes) 2018-04-04 15:07
png file icon preferences.png (37,271 bytes) 2018-04-04 15:07
png file icon tree_view_visible_columns.png (24,345 bytes) 2018-04-04 15:08
png file icon tree_view_visible_items.png (44,574 bytes) 2018-04-04 15:08
png file icon view_projection.png (19,737 bytes) 2018-04-04 15:09

- Relationships

-  Notes
(0075167)
git (administrator)
2018-04-04 15:16

Branch CR29674 has been created by nds.

SHA-1: f818725e3bc69ebde066e7838aaa5cf3802f705e


Detailed log of new commits:

Author: nds
Date: Wed Apr 4 15:15:48 2018 +0300

    0029674: Improvements in Inspector tool
(0075180)
nds (developer)
2018-04-05 11:08

Jenkins: http://jenkins-test-11.nnov.opencascade.com/view/CR29674-master-NDS/ [^]
(0075209)
git (administrator)
2018-04-06 12:05

Branch CR29674 has been updated by nds.

SHA-1: e49ccffa158a2daee110c4abe77c6790870bfe2a


Detailed log of new commits:

Author: nds
Date: Fri Apr 6 12:05:21 2018 +0300

    # Debian70 warnings correction

(0075210)
git (administrator)
2018-04-06 12:15

Branch CR29674 has been updated by nds.

SHA-1: 10a21a25b757e02f7467f8ada60faa151e74edfd


Detailed log of new commits:

Author: nds
Date: Fri Apr 6 12:15:26 2018 +0300

    # Windows VC10 warning correction

(0075211)
git (administrator)
2018-04-06 13:18

Branch CR29674 has been updated by nds.

SHA-1: f224ee855ca4eb12e79c2fb8436a97c08eed15df


Detailed log of new commits:

Author: nds
Date: Fri Apr 6 13:18:27 2018 +0300

    # Debian70 warnings correction

(0075212)
git (administrator)
2018-04-06 13:52

Branch CR29674 has been updated by nds.

SHA-1: 5692aced8f69bf80ea4fbef5638097998e342c99


Detailed log of new commits:

Author: nds
Date: Fri Apr 6 13:52:16 2018 +0300

    # Debian70 warnings correction

(0075213)
git (administrator)
2018-04-06 14:05

Branch CR29674 has been updated by nds.

SHA-1: c8dcbc92b1184f98d2643c0097f86396cc991cc6


Detailed log of new commits:

Author: nds
Date: Fri Apr 6 14:05:11 2018 +0300

    # Debian70 warnings correction

(0075214)
git (administrator)
2018-04-06 14:28

Branch CR29674_1 has been created by nds.

SHA-1: 8d6f2cf3a1dd31bbec2d82634e8732be2610e4c5


Detailed log of new commits:

Author: nds
Date: Wed Apr 4 15:15:48 2018 +0300

    0029674: Improvements in Inspector tool
    
    - preferences for dock windows geometry, tree view columns and current view projection;
    - ViewControl package for common functionality between plugins;
    - processing Location and Orientation for external TopoDS_Shape object
    - 'F5' key to update content of each plugin
    - visibility column in tree view (used now only in ShapeView)
    - properties child item for context (presents tree of current Filters of context)
(0075215)
git (administrator)
2018-04-06 14:33

Branch CR29674_2 has been created by nds.

SHA-1: a26879799596e26de4f066196174554877f2f54a


Detailed log of new commits:

Author: nds
Date: Wed Apr 4 15:15:48 2018 +0300

    0029674: Improvements in Inspector tool
    
    - preferences for dock windows geometry, tree view columns and current view projection;
    - ViewControl package for common functionality between plugins;
    - processing Location and Orientation for external TopoDS_Shape object
    - 'F5' key to update content of each plugin
    - visibility column in tree view (used now only in ShapeView)
    - properties child item for context (presents tree of current Filters of context)
(0075218)
nds (developer)
2018-04-06 16:08

Jenkins: jenkins-test-11.nnov.opencascade.com/view/CR29674-master-NDS
(0075223)
bugmaster (administrator)
2018-04-08 10:35

Combination -
OCCT branch : CR29674_2 SHA - a26879799596e26de4f066196174554877f2f54a
Products branch : IR-WEEK12 SHA - 8471189e8649026d76950924f8ec2b4878cba528
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18061.78999999999 / 18135.489999999976 [-0.41%]
Products
Total CPU difference: 7454.4699999999875 / 7435.139999999992 [+0.26%]
Windows-64-VC10:
OCCT
Total CPU difference: 17820.774234998524 / 17864.39211459853 [-0.24%]
Products
Total CPU difference: 8138.852971799984 / 8129.77371359997 [+0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0075241)
git (administrator)
2018-04-09 11:00

Branch CR29674_2 has been updated by nds.

SHA-1: 9adb072b876c32bc7ca62079250323c1d57c921c


Detailed log of new commits:

Author: nds
Date: Mon Apr 9 11:00:27 2018 +0300

    # warnings correction for VC14, F22, F24:
    
    # Message : declaration of aPreferences hides previous local declaration (TInspector_Window.cxx)
    # Message : unused variable aThisContextItem [-Wunused-variable] (VInspector_ItemBase.cxx)

(0075274)
git (administrator)
2018-04-10 14:44

Branch CR29674_2 has been updated by nds.

SHA-1: 252cde0bed206be21b06a5a8d8b75feb6507a080


Detailed log of new commits:

Author: nds
Date: Tue Apr 10 14:44:25 2018 +0300

    # AdroidQt sample should be compiled only if Qt is configured with ANGLE option

(0075287)
git (administrator)
2018-04-11 07:02

Branch CR29674_2 has been updated by nds.

SHA-1: 167ad301ff441b69cb658dfdfce867a4f14ac3a4


Detailed log of new commits:

Author: nds
Date: Wed Apr 11 07:02:14 2018 +0300

    # TInspectorEXE qt warnings
    
    # ShapeView: update state of visibility icon

(0075290)
git (administrator)
2018-04-11 09:42

Branch CR29674_2 has been updated by nds.

SHA-1: c8cfdb742c69c6eb353387aa110425ce34eb57e4


Detailed log of new commits:

Author: nds
Date: Wed Apr 11 09:42:25 2018 +0300

    # revert: AdroidQt sample should be compiled only if Qt is configured with ANGLE option

(0075292)
git (administrator)
2018-04-11 10:25

Branch CR29674_2 has been updated by nds.

SHA-1: 78141623bd96b508f567b01fc587bba1294f1c51


Detailed log of new commits:

Author: nds
Date: Wed Apr 11 10:25:25 2018 +0300

    # AdroidQt sample should be compiled only if Qt is configured with ANGLE option

(0075373)
git (administrator)
2018-04-11 14:29

Branch CR29674_2 has been updated by nds.

SHA-1: 6c15d796e9a532faf1e3d919fae9014767f44fde


Detailed log of new commits:

Author: nds
Date: Wed Apr 11 14:29:10 2018 +0300

    # TInspectorEXE qt warnings

(0075377)
git (administrator)
2018-04-11 15:03

Branch CR29674_3 has been created by nds.

SHA-1: d44eb17e5fed5f0363a6f677d41c39f04967d070


Detailed log of new commits:

Author: jgv
Date: Fri Mar 23 16:08:11 2018 +0300

    0029674: Improvements in Inspector tool
    
    - preferences for dock windows geometry, tree view columns and current view projection;
    - ViewControl package for common functionality between plugins;
    - processing Location and Orientation for external TopoDS_Shape object
    - 'F5' key to update content of each plugin
    - visibility column in tree view (used now only in ShapeView)
    - properties child item for context (presents tree of current Filters of context)
(0075382)
nds (developer)
2018-04-11 16:18

Jenkins: http://jenkins-test-11.nnov.opencascade.com/view/CR29674_3-master-NDS/ [^]
(0075405)
kgv (developer)
2018-04-12 11:33

+  static Standard_OStream& Print (const V3d_TypeOfOrientation theOrientationType, Standard_OStream& 
theStream)

Is it really useful having such a method?
(0075411)
git (administrator)
2018-04-12 12:30

Branch CR29674_3 has been updated by nds.

SHA-1: ef7ec6268d9e77429c0d06ca544a29fef7c307a0


Detailed log of new commits:

Author: nds
Date: Thu Apr 12 12:30:07 2018 +0300

    # do not implement Standard_OStream& Print() as it is nowhere planned to be used.


- Related Changesets
occt: master 6822a3be
Timestamp: 2018-03-23 13:08:11
Author: nds
Committer: bugmaster
Details ] Diff ]
0029674: Improvements in Inspector tool

- preferences for dock windows geometry, tree view columns and current view projection;
- ViewControl package for common functionality between plugins;
- processing Location and Orientation for external TopoDS_Shape object
- 'F5' key to update content of each plugin
- visibility column in tree view (used now only in ShapeView)
- properties child item for context (presents tree of current Filters of context)
mod - adm/cmake/qt.cmake Diff ] File ]
mod - adm/cmake/qt_macro.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - samples/tools/TInspectorEXE/src/TInspectorEXE.cxx Diff ] File ]
mod - samples/tools/TInspectorEXE/src/TInspectorEXE_OpenFileDialog.cxx Diff ] File ]
mod - samples/tools/TInspectorEXE/src/TInspectorEXE_OpenFileDialog.hxx Diff ] File ]
mod - samples/tools/TInspectorEXE/src/TInspectorEXE_OpenFileViewModel.cxx Diff ] File ]
mod - samples/tools/TInspectorEXE/src/TInspectorEXE_OpenFileViewModel.hxx Diff ] File ]
mod - src/TopAbs/TopAbs.cxx Diff ] File ]
mod - src/TopAbs/TopAbs.hxx Diff ] File ]
mod - src/V3d/V3d.cxx Diff ] File ]
mod - src/V3d/V3d.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_AttributePaneStack.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Communicator.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Item.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_PropertyPanel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchLine.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchView.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Thread.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Thread.hxx Diff ] File ]
rm - tools/DFBrowser/DFBrowser_ThreadItemUsedShapesMap.cxx Diff ] File ]
rm - tools/DFBrowser/DFBrowser_ThreadItemUsedShapesMap.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLine.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelView.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeModel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeModel.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Window.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Window.hxx Diff ] File ]
mod - tools/DFBrowser/FILES Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePaneAPI.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TableView.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeModel.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeModel.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdOwner.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNamedShape.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNamedShape.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_Tools.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_AttributeCommonPane.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_AttributeCommonPane.hxx Diff ] File ]
mod - tools/ShapeView/FILES Diff ] File ]
mod - tools/ShapeView/ShapeView_Communicator.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Communicator.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_ItemShape.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Tools.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Tools.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_TreeModel.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_TreeModel.hxx Diff ] File ]
add - tools/ShapeView/ShapeView_VisibilityState.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Window.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Window.hxx Diff ] File ]
mod - tools/TInspector/FILES Diff ] File ]
add - tools/TInspector/icons/plugin_actions.png Diff ] File ]
mod - tools/TInspector/TInspector.qrc Diff ] File ]
mod - tools/TInspector/TInspector_Communicator.cxx Diff ] File ]
mod - tools/TInspector/TInspector_Communicator.hxx Diff ] File ]
mod - tools/TInspector/TInspector_PluginParameters.cxx Diff ] File ]
mod - tools/TInspector/TInspector_PluginParameters.hxx Diff ] File ]
add - tools/TInspector/TInspector_Preferences.cxx Diff ] File ]
add - tools/TInspector/TInspector_Preferences.hxx Diff ] File ]
mod - tools/TInspector/TInspector_Window.cxx Diff ] File ]
mod - tools/TInspector/TInspector_Window.hxx Diff ] File ]
mod - tools/TInspectorAPI/FILES Diff ] File ]
mod - tools/TInspectorAPI/TInspectorAPI_Communicator.hxx Diff ] File ]
mod - tools/TInspectorAPI/TInspectorAPI_PluginParameters.cxx Diff ] File ]
mod - tools/TInspectorAPI/TInspectorAPI_PluginParameters.hxx Diff ] File ]
add - tools/TInspectorAPI/TInspectorAPI_PreferencesDataMap.hxx Diff ] File ]
mod - tools/TKTInspector/EXTERNLIB Diff ] File ]
mod - tools/TKTInspectorAPI/EXTERNLIB Diff ] File ]
mod - tools/TKTreeModel/PACKAGES Diff ] File ]
mod - tools/ToolsDraw/ToolsDraw.cxx Diff ] File ]
mod - tools/TreeModel/FILES Diff ] File ]
add - tools/TreeModel/icons/item_invisible.png Diff ] File ]
add - tools/TreeModel/icons/item_visible.png Diff ] File ]
add - tools/TreeModel/TreeModel.hxx Diff ] File ]
add - tools/TreeModel/TreeModel.qrc Diff ] File ]
add - tools/TreeModel/TreeModel_ColumnType.hxx Diff ] File ]
add - tools/TreeModel/TreeModel_ContextMenu.cxx Diff ] File ]
add - tools/TreeModel/TreeModel_HeaderSection.hxx Diff ] File ]
mod - tools/TreeModel/TreeModel_ItemBase.cxx Diff ] File ]
mod - tools/TreeModel/TreeModel_ItemBase.hxx Diff ] File ]
mod - tools/TreeModel/TreeModel_ModelBase.cxx Diff ] File ]
mod - tools/TreeModel/TreeModel_ModelBase.hxx Diff ] File ]
add - tools/TreeModel/TreeModel_Tools.cxx Diff ] File ]
add - tools/TreeModel/TreeModel_Tools.hxx Diff ] File ]
add - tools/TreeModel/TreeModel_VisibilityState.hxx Diff ] File ]
mod - tools/View/FILES Diff ] File ]
rm - tools/View/icons/keep_view_off.svg Diff ] File ]
rm - tools/View/icons/keep_view_on.svg Diff ] File ]
mod - tools/View/View_Displayer.cxx Diff ] File ]
mod - tools/View/View_Displayer.hxx Diff ] File ]
mod - tools/View/View_ToolBar.cxx Diff ] File ]
mod - tools/View/View_ToolBar.hxx Diff ] File ]
add - tools/View/View_ToolButton.hxx Diff ] File ]
add - tools/View/View_Tools.cxx Diff ] File ]
add - tools/View/View_Tools.hxx Diff ] File ]
mod - tools/View/View_Widget.cxx Diff ] File ]
mod - tools/View/View_Widget.hxx Diff ] File ]
mod - tools/View/View_Window.cxx Diff ] File ]
mod - tools/View/View_Window.hxx Diff ] File ]
add - tools/ViewControl/FILES Diff ] File ]
add - tools/ViewControl/ViewControl_Tools.hxx Diff ] File ]
mod - tools/VInspector/FILES Diff ] File ]
add - tools/VInspector/icons/treeview_and.png Diff ] File ]
add - tools/VInspector/icons/treeview_or.png Diff ] File ]
mod - tools/VInspector/VInspector.qrc Diff ] File ]
mod - tools/VInspector/VInspector_Communicator.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemBase.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemBase.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemContext.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemContext.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemEntityOwner.cxx Diff ] File ]
add - tools/VInspector/VInspector_ItemFolderObject.cxx Diff ] File ]
add - tools/VInspector/VInspector_ItemFolderObject.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemHistoryTypeInfo.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemPresentableObject.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemSelection.cxx Diff ] File ]
add - tools/VInspector/VInspector_ItemSelectMgrFilter.cxx Diff ] File ]
add - tools/VInspector/VInspector_ItemSelectMgrFilter.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemSensitiveEntity.cxx Diff ] File ]
mod - tools/VInspector/VInspector_Tools.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ViewModel.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ViewModel.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ViewModelHistory.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ViewModelHistory.hxx Diff ] File ]
mod - tools/VInspector/VInspector_Window.cxx Diff ] File ]
mod - tools/VInspector/VInspector_Window.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-04-04 15:05 nds New Issue
2018-04-04 15:05 nds Assigned To => nds
2018-04-04 15:07 nds File Added: .tinspector.xml
2018-04-04 15:07 nds File Added: preferences.png
2018-04-04 15:08 nds File Added: tree_view_visible_columns.png
2018-04-04 15:08 nds File Added: tree_view_visible_items.png
2018-04-04 15:09 nds File Added: view_projection.png
2018-04-04 15:16 git Note Added: 0075167
2018-04-05 11:08 nds Note Added: 0075180
2018-04-05 11:08 nds Status new => resolved
2018-04-06 12:05 git Note Added: 0075209
2018-04-06 12:15 git Note Added: 0075210
2018-04-06 13:18 git Note Added: 0075211
2018-04-06 13:52 git Note Added: 0075212
2018-04-06 14:05 git Note Added: 0075213
2018-04-06 14:28 git Note Added: 0075214
2018-04-06 14:33 git Note Added: 0075215
2018-04-06 16:07 nds Assigned To nds => bugmaster
2018-04-06 16:07 nds Status resolved => reviewed
2018-04-06 16:08 nds Note Added: 0075218
2018-04-08 10:35 bugmaster Note Added: 0075223
2018-04-08 10:35 bugmaster Status reviewed => tested
2018-04-09 11:00 git Note Added: 0075241
2018-04-10 14:44 git Note Added: 0075274
2018-04-11 07:02 git Note Added: 0075287
2018-04-11 09:42 git Note Added: 0075290
2018-04-11 10:25 git Note Added: 0075292
2018-04-11 14:29 git Note Added: 0075373
2018-04-11 15:03 git Note Added: 0075377
2018-04-11 15:51 nds Assigned To bugmaster => nds
2018-04-11 15:51 nds Status tested => assigned
2018-04-11 16:18 nds Note Added: 0075382
2018-04-11 16:18 nds Status assigned => resolved
2018-04-11 16:19 nds Status resolved => reviewed
2018-04-11 16:31 nds Assigned To nds => bugmaster
2018-04-11 16:47 bugmaster Status reviewed => tested
2018-04-12 11:33 kgv Note Added: 0075405
2018-04-12 12:30 git Note Added: 0075411
2018-04-12 12:49 kgv Summary Improvements in Inspector tool => Samples - Improvements in Inspector tool
2018-04-16 14:46 bugmaster Changeset attached => occt master 6822a3be
2018-04-16 14:46 bugmaster Status tested => verified
2018-04-16 14:46 bugmaster Resolution open => fixed
2018-04-21 09:21 bugmaster Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker